set term postscript enhanced color

set out "convAnalyse.eps"

set logscale x

set ylabel "F(a,b)"
set xlabel "Number of Iterations n"
#set noytics
#set noxtics

plot "integrals.txt" u 1:2 title "Trapezregel", "integrals.txt" u 1:3 title "Monte-Carlo", "integrals.txt" u 1:4 with lines title "Analytisch"


set out "convAnalyse_err.eps"
set ylabel "err(F(a,b))"
set logscale y
plot "integrals.txt" u 1:(abs($2-$4)) title "Trapezregel", "integrals.txt" u 1:(abs($3-$4)) title "Monte-Carlo"
 

