#include <iostream>
#include <cstdlib>
#include <ctime>
#include <iomanip>

using namespace std;


int main(int argc, char* argv[]){

	// Initialize seed of random generator
	srand(time(NULL));

	if (argc != 2){
		cerr << "Usage: " << argv[0] << " n" << endl;
		exit(1);
	}
   
	int n = atoi(argv[1]);
	if (n < 1){
		cerr << "Can only use positive number of iterations!" << endl;
		exit(1);
	}

	int n1 = 0;
	int n2 = 0;
	int n3 = 0;
	int n4 = 0;
	int n5 = 0;
	int n6 = 0;

	// Do the iteration
	for (int it = 1; it <= n; it++){
		// Draw random number in {1,..,6}
		int u = (rand()%6) + 1;
		
		switch(u){
			case 1:
				n1++;
				break;
			case 2:
				n2++;
				break;
			case 3:
				n3++;
				break;
			case 4:
				n4++;
				break;
			case 5:
				n5++;
				break;
			case 6:
				n6++;
				break;
		}
	}

	cout << "Number:" << setw(15) << "p (in Prozent)" << endl;
	cout << "1:" << setw(15) << (float)n1/(float)n * 100.0 << endl;
	cout << "2:" << setw(15) << (float)n2/(float)n * 100.0 << endl;
	cout << "3:" << setw(15) << (float)n3/(float)n * 100.0 << endl;
	cout << "4:" << setw(15) << (float)n4/(float)n * 100.0 << endl;
	cout << "5:" << setw(15) << (float)n5/(float)n * 100.0 << endl;
	cout << "6:" << setw(15) << (float)n6/(float)n * 100.0 << endl;

	return 0;
}
